*, *::before, *::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box
}

html{
    height: 100%;
}

html, body {
    /*font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;*/
    font-family: Poppins, Helvetica, Arial, sans-serif;
    /*background-color: #F3F4F6;*/
    background-color: #b4bdce;
    /*height: 100%;*/
}

body, button, input, textarea {
    /*font-family: var(--body-font);*/
    font-family: Poppins, Helvetica, Arial, sans-serif;
}

/*html {
    height: 100%;
    scroll-behavior: smooth;
}
*/
body {
    display: flex;
    flex-direction: column;
    min-height: 100%;
}

a, .btn-link {
    color: #006bb7;
}

    a:hover {
        /*color: none;*/
    }

.progress {
    height: .5rem !important;
    margin-top: 2px;
}

.bg-gradient-to-br {
    /*    background-image: linear-gradient(to bottom right,red);*/
    /*    background: rgb(34,193,195);
    background: linear-gradient(347deg, rgba(34,193,195,0) 9%, rgb(244 129 29) 100%);*/
    background-color: rgb(15 15 139);
    background-image: linear-gradient(305deg, rgba(34,193,195,0) 9%, rgb(244 129 29) 100%);
    border-radius: 0.25rem;
    border: none;
}
.bg-gradient {
    /*    background-image: linear-gradient(to bottom right,red);*/
    background: rgb(34,193,195);
    background: linear-gradient(347deg, rgba(34,193,195,0) 9%, rgb(244 129 29) 100%);
}
.btn-1 {
    /*background-image: linear-gradient(to right, #f6d365 0%, #fda085 51%, #f6d365 100%);*/
    /*background-color: rgb(23, 218, 136);*/
    /*background-image: linear-gradient(347deg, rgba(34,193,195,0) 9%, rgb(244 129 29) 100%);*/
    /*background-image: linear-gradient(to bottom right,#17da88);*/
    background-color: rgb(15 15 139);
    background-image: linear-gradient(305deg, rgba(34,193,195,0) 9%, rgb(244 129 29) 100%);
    border: none;
    color: white;
    padding: 0.32rem 1rem;
    /*border-radius: .5rem;*/
}

.btn-border {
    border: 1px solid black;
}

.form-control:disabled, .form-control[readonly] {
    background-color: #e9ecef30;
    opacity: 1;
}

.spacer {
    height: 7em;
}

h3 {
    margin: 2px 0;
}

h5 {
    font-size: 1.5rem;
    background-color: #717171;
    color: #dfdfdf;
    padding-bottom: 27px;
    padding-top: 27px;
    margin-top: 0 !important;
}

h5 a {
    padding: 10px;
    background-color: white;
    color: black;
}

/* Relaod */
/*#components-reconnect-modal h5 {

}

#components-reconnect-modal h5 a {
    padding: 18px;
    background-color:green;
    color: white;
}*/

.header-grid {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1em;
}
.modal-content {
    border: none;
}

.fixed-top {
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    z-index: 1;
}

.link {
    text-decoration: underline;

}

.card {
    border: none;
}
.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn-floow {
    color: #fff;
    background-color: #000000;
    /* border-color: #6c757d; */
}
.btn-floow:hover {
    color: #fff;
    background-color: #000000;
    /*border-color: #565e64;*/
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.bi {
/*    font-size: 32px;
    margin-left: 10px;*/
}

.content {
    padding-top: 1.1rem;
}

main {
    background-color: #F3F4F6;
}
.form-sm {
    font-size: .875rem;
    margin-top: 5px;
}
.wrapper {
    position: relative;
    z-index: 0;
    max-width: 36em;
    padding: 0 1em;
    margin: 0 auto;
    /*   border: 1px dashed rgb(238, 184, 184); */
}

.card-simple {
    border-radius: 2px;
    border: 1px solid rgba(0,0,0,.125);
    background-color: #fcfcfc;
    padding: 1px 10px;
    margin-bottom: 10px;
}
.card-simple-control {
    border-radius: 5px;
    /* border: 1px solid rgba(0,0,0,.125); */ border: 1px solid rgb(32 32 32 / 13%);
    /*background: #d2d2d2;*/
    background-color: #f7f7f7;
    padding: 1px 10px;
    /* margin-bottom: 10px; */
}
.card-boarder {
    background-color: white;
    padding: 1rem 1rem;
    margin-bottom: 26px;
    border: 1px solid rgba(0,0,0,.125);
    border-radius: 0.25rem;
}
.task {
    cursor: pointer;
    border: 2px solid #bdbdbd;
    /*margin: 2px;*/
    padding: 4px;
    background-color: #fff;
    width: 300px;
    text-align: center;
    /*padding-bottom: 30px;*/
    border-radius: 10px;
    /*margin-bottom: 10px;*/
}

.task-activ {
    outline: 5px solid #e5000056;
}

.task-refuse {
    background-color: #ffc4c4;
}

.kachel-simple {
    color: white;
    padding: 10px 10px;
    font-size: .875rem;
    /* transition: outline .3s; */
    align-items: center;
    justify-content: center;
    border-radius: 5px;
}

.kachel {
    display: flex;
    color: white;
    padding: 10px 10px;
    font-size: .875rem;
    /*width: 170px;*/
    height: 100px;
    /*transition: outline .3s;*/
    align-items: center;
    justify-content: center;
    border-radius: 5px;
}

/*    .kachel:hover {
        outline: 4px solid #f6c599;
    }*/
.kachel-orange {
    background: #f0821d;
}
.kachel-green {
    background: #5afc82;
    color: black;
}
.kachel-black {
    background: #2f2f2f;
}

.kachel-violet {
    background: #CA81BD;
}

.kachel-blue {
    background: #100F8A;
    color: white;
}

.kachel-yellow {
    background-color: #dcc82f
}

.kachel-completed {
    background-color: green;
}
.kachel-refuse {
    background-color: red;
}
.kachel-archive {
    background-color: indianred;
}
.kachel-nothing {
    background-color: black;
}

.marker {
    background-color: black;
    color: white;
    font-size: .75rem;
    padding: 1px 10px;
    border-radius: 25px;
    margin: 0px 6px;
}

.dash {
    /*height: 90vh;*/
}

.task-start {
    width: 70px;
    height: 70px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    background: black;
    color: white;
    border: none;
    cursor: pointer;
}

.leftbar {
    position: fixed;
    right: 0;
    top: 58px;
    bottom: 0;
    width: 400px;
    /*background-color: red;*/
    z-index: 100;
}

.midbar-5 {
    /*position: absolute;*/
    top: 51px;
    bottom: 0;
    /*width: 100%;*/
    left: 250px;
    /*right: 400px;*/
    display: flex;
    justify-content: center;
    overflow-x: auto;
    overflow-y: auto;
}
.midbar-6 {
    display: flex;
    justify-content: center;
}

.leftbar-5 {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    width: 400px;
    background-color: #F7F7F7;
    z-index: 100;
    overflow-x: auto;
    overflow-y: auto;
    border-left: 1px solid #d8d8d8;
}
.font-7 {
    font-size: .75rem;
    color: #a3a3a3;
}
.btn-simple {
    /*margin: 2px 5px;*/
    margin-right: 10px;
}

.btn-activ {
    font-weight: bold;
}

.btn-login {
    /*border: 1px solid red;*/
    color: white;
    /*background-color: #100F8A;*/
    background-color: black;
    padding: 3px 12px;
    border-radius: 5px 10px;
}
footer {
    /*background-color: cadetblue;*/
    /*color: white;*/
    padding: 30px;
    margin-top: 30px;
    margin-top: auto;
}

a {
    color: black;
    text-decoration: none;
}

.form-label {
    margin-bottom: 0.1rem;
    font-size: .875rem;
}

/** scroll */
.scroll-y {
    width: 100%;
    height: 400px;
    overflow-y: hidden;
}

    .scroll-y:hover {
        overflow-y: scroll;
    }

.scroll-y-content {
    overflow: hidden;
    padding: 0;
    width: 346px;
}
/* width */
::-webkit-scrollbar {
    width: 2px;
}
/* Track */
::-webkit-scrollbar-track {
    background: #f1f1f1;
}
/* Handle */
::-webkit-scrollbar-thumb {
    background: #888;
}
    /* Handle on hover */
    ::-webkit-scrollbar-thumb:hover {
        background: #555;
        
        h1: focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}
